{% extends 'index.html' %}
{% block title %} <title>Link update</title>{% endblock %}

{% block content1 %}
<div class="link-body">
    <div class="inner-form">
        <div class="wrapp-group">
            <form action="" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-group">
                    {{ form.title.label_tag }}
                    {{ form.title }}
                </div>
                <div class="form-group">
                    {{ form.url.label_tag }}
                    {{ form.url}}
                </div>
                <div class="form-group">
                    {{ form.description.label_tag }}
                    {{ form.description }}
                </div>
                <div class="form-group">
                    {{ form.topic.label_tag}}
                    {{ form.topic }}
                </div>
                <div class="bottom-form">
                    <button type="submit" id="id_link_submit" class="btn btn-primary">Modify</button>
                    <a href="{% url 'interests-view' pk=link.topic.id %}">
                        <button type="button" class="btn btn-secondary">Back to the main page</button>
                    </a>
                </div>
            </form>
        </div>
    </div>
</div>
<script>
    let title = document.getElementById("id_title");
    title.classList.add("form-control");
    let url = document.getElementById("id_url");
    url.classList.add("form-control");
    let description = document.getElementById("id_description");
    description.classList.add("form-control");
    let topic = document.getElementById("id_topic");
    topic.classList.add("form-select");
    topic.style.width = "500px";
    topic.style.display = "inline-block";
    topic.style.marginLeft = "10px";
    let arr = [title, url, description, topic];
    for(i=0; i<arr.length; i++){
        arr[i].style.marginBottom = "25px";
    }


</script>
{% endblock %}

